set_property IOSTANDARD LVCMOS33 [get_ports reset]
set_property IOSTANDARD LVCMOS33 [get_ports clk]
set_property IOSTANDARD LVCMOS33 [get_ports vsync]
set_property IOSTANDARD LVCMOS33 [get_ports hsync]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {rgb[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports botonj1up]
set_property IOSTANDARD LVCMOS33 [get_ports botonj2up]
set_property IOSTANDARD LVCMOS33 [get_ports botonj1down]
set_property IOSTANDARD LVCMOS33 [get_ports botonj2down]

set_property PACKAGE_PIN M17 [get_ports botonj1up]
set_property PACKAGE_PIN M18 [get_ports botonj2up]
set_property PACKAGE_PIN P18 [get_ports botonj1down]
set_property PACKAGE_PIN P17 [get_ports botonj2down]


set_property PACKAGE_PIN N17 [get_ports reset]
set_property PACKAGE_PIN E3 [get_ports clk]
set_property PACKAGE_PIN B11 [get_ports hsync]
set_property PACKAGE_PIN B12 [get_ports vsync]
set_property PACKAGE_PIN A4 [get_ports {rgb[11]}]
set_property PACKAGE_PIN C5 [get_ports {rgb[10]}]
set_property PACKAGE_PIN B4 [get_ports {rgb[9]}]
set_property PACKAGE_PIN A3 [get_ports {rgb[8]}]
set_property PACKAGE_PIN A6 [get_ports {rgb[7]}]
set_property PACKAGE_PIN B6 [get_ports {rgb[6]}]
set_property PACKAGE_PIN A5 [get_ports {rgb[5]}]
set_property PACKAGE_PIN C6 [get_ports {rgb[4]}]
set_property PACKAGE_PIN D8 [get_ports {rgb[3]}]
set_property PACKAGE_PIN D7 [get_ports {rgb[2]}]
set_property PACKAGE_PIN C7 [get_ports {rgb[1]}]
set_property PACKAGE_PIN B7 [get_ports {rgb[0]}]